import Today1 as T1
import qualified Today2 as T2

f x = f1 x + T2.f2 x
g3 x y = g x + T2.g y


-- Notice that f1 is a unique name, so it doesn't need to be qualified by T1.
-- Even though f2 is a unique name, it needs to be qualified by T2 because
-- we imported Today2 using the "qualified" keyword.
-- Since we imported Today2 as "qualified" the g in Today2 is named Today2.g, 
-- which leaves the name g from Today1 a unique name, so it does not need to
-- be qualified by T1.
